Bug 769056 - Review Request: wbox - HTTP testing tool and configuration-less HTTP server
Summary: Review Request: wbox - HTTP testing tool and configuration-less HTTP server
Status: CLOSED DUPLICATE of bug 894176
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2011-12-19 19:08 UTC by Athmane Madjoudj
Modified: 2013-10-19 14:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-03 20:16:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Athmane Madjoudj 2011-12-19 19:08:18 UTC
Spec URL: http://athmane.fedorapeople.org/pkgs/wbox.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/wbox-5-1.fc16.src.rpm

Description: 
Wbox aims to help you having fun while testing HTTP related stuff.
You can use it to perform many tasks, including the following.
 * Benchmarking how much time it takes to generate content
   for your web application.
 * Web server and web application stressing.
 * Testing virtual domains configuration without the need to alter
   your local resolver.
 * Check if your redirects are working correctly emitting
   the right HTTP code.
 * Test if the HTTP compression is working and if it is actually
   serving pages faster.
 * Use it as a configuration-less HTTP server to share files!

Comment 1 Athmane Madjoudj 2011-12-19 19:11:49 UTC
rpmlint output:

$ rpmlint wbox.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint wbox-5-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint wbox-5-1.fc16.x86_64.rpm 
wbox.x86_64: W: no-manual-page-for-binary wbox
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Athmane Madjoudj 2011-12-19 19:16:54 UTC
This is my first package and I need a sponsor.

Comment 3 Athmane Madjoudj 2011-12-19 22:40:37 UTC
Updated with manpage from Debian:

Spec URL: http://athmane.fedorapeople.org/pkgs/wbox.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/wbox-5-2.fc16.src.rpm

rpmlint output:

$ rpmlint wbox.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint wbox-5-2.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint wbox-5-2.fc16.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 Athmane Madjoudj 2011-12-22 20:18:11 UTC
Koji scratch build (for x86_64 and i686):
http://koji.fedoraproject.org/koji/taskinfo?taskID=3601866

Comment 5 Veeti Paananen 2011-12-27 17:25:43 UTC
Hi!

Just a few comments/suggestions:

- You could use a macro in the Source0 line: replace the hardcoded version number with %{version} so that you don't need to update it in two places later.

- Do you plan on maintaining this package on EPEL5? If yes, add the BuildRoot as instructed in http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies . Otherwise you can drop the rm -rf %{buildroot} from the beginning of %install, since it's done automatically in newer versions.

Comment 6 Athmane Madjoudj 2011-12-27 18:37:30 UTC
(In reply to comment #5)
> Hi!
> 
> Just a few comments/suggestions:
> 
> - You could use a macro in the Source0 line: replace the hardcoded version
> number with %{version} so that you don't need to update it in two places later.
> 
Fixed, it was a mistake when I was testing.

> - Do you plan on maintaining this package on EPEL5? If yes, add the BuildRoot
> as instructed in http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies .
> Otherwise you can drop the rm -rf %{buildroot} from the beginning of %install,
> since it's done automatically in newer versions.

I'm not planing to support epel5, so I've removed  rm -rf %{buildroot} from %install

Thanks for your suggestions.

Spec URL: http://athmane.fedorapeople.org/pkgs/wbox.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/wbox-5-3.fc16.src.rpm

Comment 7 Athmane Madjoudj 2012-03-03 20:16:26 UTC
No longer using this package, closing.

Comment 8 Fabian Affolter 2013-01-10 22:23:32 UTC

*** This bug has been marked as a duplicate of bug 894176 ***


Note You need to log in before you can comment on or make changes to this bug.